## cutmp3 2.0.1

=== Makefile ===
NAME=cutmp3
VERSION=2.0.1
PREFIX=/usr
BINDIR=${PREFIX}/bin
DATADIR=${PREFIX}/share
MANDIR=${PREFIX}/share/man/man1
DOCDIR=${DATADIR}/doc/${NAME}-${VERSION}

all:
	@echo -e "\n\n*** You need readline-devel, ncurses-devel or similar to compile ${NAME} ***\n*** Maybe you want to try the binary on compile failures? ***\n\n"
	gcc -O ${CFLAGS} -c mpglib.c
	gcc -O ${CFLAGS} -c main.c
	gcc main.o mpglib.o -o ${NAME} -lm -lreadline -lncurses

i386:
	gcc -Wall -O -c mpglib.c
	gcc -Wall -O -c main.c
	gcc main.o mpglib.o -o ${NAME} -lm -lreadline -lncurses

clean:
	rm -f *.o
	rm -f ${NAME}

install:
	install -d ${BINDIR}
	install ${NAME} ${BINDIR}
	if [ ! -z "${KDEDIR}" ]; then install -m 644 ${NAME}.desktop ${KDEDIR}/share/apps/konqueror/servicemenus; fi
	if [ -d /usr/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /usr/share/apps/konqueror/servicemenus; fi
	if [ -d /opt/kde/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /opt/kde/share/apps/konqueror/servicemenus; fi
	if [ -d /opt/kde3/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /opt/kde3/share/apps/konqueror/servicemenus; fi
	install -d ${DOCDIR}/${NAME}
	install -m 644 README* USAGE ${DOCDIR}/${NAME}
	install -d ${MANDIR}
	gzip ${NAME}.1
	install -m 644 ${NAME}.1.gz ${MANDIR}
	gunzip ${NAME}.1.gz

uninstall:
	rm -f ${BINDIR}/${NAME}
	rm -f ${KDEDIR}/share/apps/konqueror/servicemenus/${NAME}.desktop

debug:
	gcc -g -Wall -O -c mpglib.c
	gcc -g -Wall -O -c main.c
	gcc main.o mpglib.o -o ${NAME} -lm -lreadline -lncurses

## cutmp3 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 NAME=cutmp3
-VERSION=2.0.1
+VERSION=2.0.2
 PREFIX=/usr
 BINDIR=${PREFIX}/bin
 DATADIR=${PREFIX}/share
@@ -24,10 +24,7 @@
 install:
 	install -d ${BINDIR}
 	install ${NAME} ${BINDIR}
-	if [ ! -z "${KDEDIR}" ]; then install -m 644 ${NAME}.desktop ${KDEDIR}/share/apps/konqueror/servicemenus; fi
-	if [ -d /usr/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /usr/share/apps/konqueror/servicemenus; fi
-	if [ -d /opt/kde/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /opt/kde/share/apps/konqueror/servicemenus; fi
-	if [ -d /opt/kde3/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /opt/kde3/share/apps/konqueror/servicemenus; fi
+	if [ ! -z "${KDEDIR}" ]; then install -m 644 ${NAME}.desktop ${KDEDIR}/share/apps/konqueror/servicemenus; elif [ -d /usr/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /usr/share/apps/konqueror/servicemenus; elif [ -d /opt/kde/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /opt/kde/share/apps/konqueror/servicemenus; elif [ -d /opt/kde3/share/apps/konqueror/servicemenus ]; then install -m 644 ${NAME}.desktop /opt/kde3/share/apps/konqueror/servicemenus; fi
 	install -d ${DOCDIR}/${NAME}
 	install -m 644 README* USAGE ${DOCDIR}/${NAME}
 	install -d ${MANDIR}

=== debian/changelog ===
cutmp3 (2.0.2-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/patches/01-makefile.patch:
    - Don'install anything in /usr/share/doc/cutmp3-${VERSION}.
    - Set DESTDIR variable which allows me to pass the proper installation
      path through debian/rules.
  * Add ${misc:Depends} to the Depends field.
  * Bump Standards.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 02 Jun 2010 14:20:51 +0200

cutmp3 (2.0.1-0.0) unstable; urgency=low

  * New upstream release.
  * Removed manpage patch included by upstream.

 -- Christian Marillat <marillat@debian.org>  Sat, 11 Jul 2009 22:41:48 +0200

cutmp3 (2.0-0.1) unstable; urgency=low

  * Added a patch from Alessio Treglia to hyphen-used-as-minus-sign in the
    manpage file.

 -- Christian Marillat <marillat@debian.org>  Tue, 07 Jul 2009 16:36:48 +0200

cutmp3 (2.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 05 Jul 2009 14:05:18 +0200

cutmp3 (1.9.5-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 20 Apr 2009 14:10:22 +0200

cutmp3 (1.9.4-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 12 Jan 2009 21:54:33 +0100

cutmp3 (1.9.2-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 06 Apr 2007 11:56:17 +0200

cutmp3 (1.9.1-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 26 Mar 2007 22:53:10 +0200

cutmp3 (1.9-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu,  4 Jan 2007 15:57:16 +0100

cutmp3 (1.8.6-0.1) unstable; urgency=low

  * First package and first typo. Replace libncurses5-dev by
    libreadline5-dev in Build-Depends.

 -- Christian Marillat <marillat@debian.org>  Thu,  4 Jan 2007 14:39:08 +0100

cutmp3 (1.8.6-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Thu,  4 Jan 2007 12:40:29 +0100

=== debian/control ===
Source: cutmp3
Section: sound
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Homepage: http://www.puchalla-online.de/cutmp3.html
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~),
 libreadline5-dev | libreadline-dev,
 libncurses5-dev | libncurses-dev

Package: cutmp3
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 mpg123
Description: a small and fast command line MP3 editor
 cutmp3 is a small and fast command line MP3 editor. It lets you select
 sections of an MP3 interactively or via a timetable and save them to
 separate files without quality loss. It uses mpg123 for playback and works
 with VBR files and even with files bigger than 2GB. Other features are
 configurable silence seeking and ID3 tag seeking, which are useful for
 concatenated mp3s.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=makefile $@

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/cutmp3

override_dh_installchangelogs:
	dh_installchangelogs Changelog

## cutmp3 2.1.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 NAME=cutmp3
-VERSION=2.0.2
+VERSION=2.1.2
 PREFIX=/usr
 BINDIR=${PREFIX}/bin
 DATADIR=${PREFIX}/share

=== debian/changelog ===
cutmp3 (2.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Use libreadline-dev and libncurses5-dev and drop alternative
    dependencies.
  * Update debian/copyright to latest standards.
  * Bump standards.
  * Refresh 01-makefile.patch.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 01 Jan 2015 15:47:14 +0530

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
 Homepage: http://www.puchalla-online.de/cutmp3.html
-Standards-Version: 3.8.4
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7.0.50~),
- libreadline5-dev | libreadline-dev,
- libncurses5-dev | libncurses-dev
+ libreadline-dev,
+ libncurses5-dev,
 
 Package: cutmp3
 Architecture: any

## cutmp3 3.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 NAME=cutmp3
-VERSION=2.1.2
+VERSION=3.0.1
 PREFIX=/usr
 BINDIR=${PREFIX}/bin
 DATADIR=${PREFIX}/share

=== debian/changelog ===
cutmp3 (3.0.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * debian/patches/01-makefile.patch: Refresh.
  * debian/patches/02-format-arguments.patch: Add format arguments to print
    calls to fix FTBFS with -Werror=format-security.
  * debian/compat: Bump to 9.
  * debian/copyright: Add linebreak to fix Lintian warning for files without
    copyright information.
  * debian/control:
    - Remove article from beginning of description synopsis.
    - Bump versioned build dependency on debhelper to (>= 9).
  * debian/rules: Fix order of arguments.
  * Run wrap-and-sort.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 04 Dec 2015 07:45:19 -0500

=== debian/control ===
Source: cutmp3
Section: sound
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Homepage: http://www.puchalla-online.de/cutmp3.html
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libncurses5-dev, libreadline-dev

Package: cutmp3
Architecture: any
Depends: mpg123, ${misc:Depends}, ${shlibs:Depends}
Description: small and fast command line MP3 editor
 cutmp3 is a small and fast command line MP3 editor. It lets you select
 sections of an MP3 interactively or via a timetable and save them to
 separate files without quality loss. It uses mpg123 for playback and works
 with VBR files and even with files bigger than 2GB. Other features are
 configurable silence seeking and ID3 tag seeking, which are useful for
 concatenated mp3s.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --buildsystem=makefile $@
+	dh $@ --buildsystem=makefile
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/cutmp3

=== debian/watch ===
version=3

http://www.puchalla-online.de/cutmp3.html cutmp3-(.*)\.tar\.bz2
